%bcond_with base_python

%define python_build_version 3.9
%define __python %{_bindir}/python%{python_build_version}

%if %{with base_python}
%define python_suffix %{expand:%%{lua: str='%{python_build_version}'; print(str:sub(1, 1))}}
%else
%define python_suffix %{expand:%%{lua: str='%{python_build_version}'; print(str:sub(1, 1) .. str:sub(3,-1))}}
%endif

%define pypi_name pytz

Name: python%{python_suffix}-%{pypi_name}
Version: 2021.1
Release: 1
License: MIT
Summary: World timezone definitions, modern and historical
Url: https://pythonhosted.org/pytz/

Source0: https://files.pythonhosted.org/packages/source/p/%{pypi_name}/%{pypi_name}-%{version}.tar.gz

BuildArch: noarch

BuildRequires: python%{python_suffix}-devel
BuildRequires: python%{python_suffix}-pip

%description
pytz brings the Olson tz database into Python. This library allows accurate and
cross platform timezone calculations using Python 2.4 or higher. It also solves
the issue of ambiguous times at the end of daylight saving time, which you can
read more about in the Python Library Reference (datetime.tzinfo).

%prep
%setup -q -n %{pypi_name}-%{version}

%build

%py_build_wheel

%install
%py_install_wheel %{pypi_name}-%{version}-py3-none-any.whl

%files
%defattr(-, qsys, *none)

%{python_sitelib}/pytz*

%changelog
* Wed Jul 07 2021 Kevin Adler <kadler@us.ibm.com> - 2021.1
- Update to 2021.1

* Tue Jun 22 2021 Kevin Adler <kadler@us.ibm.com> - 2018.5
- Port to Python 3.9
- Use macros from python-rpm-macros

* Thu Jan 03 2019 - Kevin Adler <kadler@us.ibm.com>
- Ensure python packages have necessary dependencies listed

* Sun Aug 05 2018 - Kevin Adler <kadler@us.ibm.com>
- Set INSTALLER to be "rpm" instead of "pip"
- Add --no-index to pip, so it doesn't attempt to connect to the internet

* Fri Aug 03 2018 - Kevin Adler <kadler@us.ibm.com>
- Add pytz which is needed by pandas
